{ lib, pkgs, config, ... }:

{
  services = {
    cloudflared = {
      enable = true;
      tunnels = {
        "{{Tunnel UUID}}" = {
          credentialsFile = "{{/path/to/UUID.json}}";
          default = "http_status:404";
          ingress = {
            "ahoneybun.net" = "http://localhost:80"; # Nginx http
            "www.ahoneybun.net" = "http://localhost:80"; # Nginx https
            "status.ahoneybun.net" = "http://localhost:8082"; # Homepage Dashboard
            "photos.ahoneybun.net" = "http://localhost:2342"; # PhotoPrism
            "git.ahoneybun.net" = "http://localhost:3001"; # Forgejo
            "wiki.ahoneybun.net" = "http://localhost:4567"; # Gollum
            "books.ahoneybun.net" = "http://localhost:5000"; # Kavita
            "videos.ahoneybun.net" = "http://localhost:8096"; # Jellyfin
          };
        };
      };
    };
  };
}
